import java.util.zip.CRC32;

public class Class250_Sub1 extends Class250 {

   Class257 aClass257_8931;
   static final int anInt8932 = 1000;
   static final int anInt8933 = 1;
   Class218 aClass218_8934;
   byte[] aByteArray8935;
   Class225_Sub14_Sub14 aClass225_Sub14_Sub14_8936;
   Class218 aClass218_8937;
   static final byte aByte8938 = 0;
   static CRC32 aCRC32_8939 = new CRC32();
   Class333 aClass333_8940;
   int anInt8941;
   static final byte aByte8942 = 1;
   int anInt8943;
   byte[] aByteArray8944;
   int anInt8945 = 0;
   Class247 aClass247_8946;
   boolean aBool8947;
   boolean aBool8948;
   int anInt8949 = 0;
   Class456 aClass456_8950;
   Class456 aClass456_8951 = new Class456();
   boolean aBool8952;
   long aLong8953 = 0L;
   static final byte aByte8954 = -1;
   static final int anInt8955 = 250;
   Class423 aClass423_8956 = new Class423(16);
   static final int anInt8957 = 0;
   int anInt8958;
   static final int anInt8959 = 2;


   public int method14319(byte var1) {
      return 1342090727 * this.anInt8945;
   }

   void method4472(int var1) {
      if(this.aClass218_8937 != null) {
         Class225 var2;
         for(var2 = this.aClass456_8951.method7682((byte)102); var2 != null; var2 = this.aClass456_8951.method7666(-1752226963)) {
            if((long)var1 == var2.aLong2606 * -7222396723785363401L) {
               return;
            }
         }

         var2 = new Class225();
         var2.aLong2606 = (long)var1 * -641052250121656953L;
         this.aClass456_8951.method7712(var2, (byte)64);
      }
   }

   public int method14320(int var1) {
      return this.method4464(674455612) == null?(null == this.aClass225_Sub14_Sub14_8936?0:this.aClass225_Sub14_Sub14_8936.method16277(856270460)):100;
   }

   public void method14321() {
      if(null != this.aClass218_8937) {
         this.aBool8947 = true;
         if(this.aClass456_8950 == null) {
            this.aClass456_8950 = new Class456();
         }

      }
   }

   byte[] method4465(int var1, int var2) {
      Class225_Sub14_Sub14 var3 = this.method14322(var1, 0, -136887313);
      if(null == var3) {
         return null;
      } else {
         byte[] var4 = var3.method16276(509785357);
         var3.method3857(430763575);
         return var4;
      }
   }

   Class225_Sub14_Sub14 method14322(int var1, int var2, int var3) {
      Object var4 = (Class225_Sub14_Sub14)this.aClass423_8956.method7211((long)var1);
      if(var4 != null && 0 == var2 && !((Class225_Sub14_Sub14)var4).aBool10561 && ((Class225_Sub14_Sub14)var4).aBool10562) {
         ((Class225_Sub14_Sub14)var4).method3857(208814848);
         var4 = null;
      }

      if(null == var4) {
         if(0 == var2) {
            if(this.aClass218_8937 != null && this.aByteArray8944[var1] != -1) {
               var4 = this.aClass257_8931.method4621(var1, this.aClass218_8937, -2142566383);
            } else {
               if(this.aClass247_8946.method4395(-433968316)) {
                  return null;
               }

               var4 = this.aClass247_8946.method4393(this.anInt8958 * -1368515079, var1, (byte)2, true, (byte)7);
            }
         } else if(1 == var2) {
            if(null == this.aClass218_8937) {
               throw new RuntimeException();
            }

            var4 = this.aClass257_8931.method4623(var1, this.aClass218_8937, -648719443);
         } else {
            if(2 != var2) {
               throw new RuntimeException();
            }

            if(this.aClass218_8937 == null) {
               throw new RuntimeException();
            }

            if(-1 != this.aByteArray8944[var1]) {
               throw new RuntimeException();
            }

            if(this.aClass247_8946.method4394(321718964)) {
               return null;
            }

            var4 = this.aClass247_8946.method4393(-1368515079 * this.anInt8958, var1, (byte)2, false, (byte)7);
         }

         this.aClass423_8956.method7206((Class225)var4, (long)var1);
      }

      if(((Class225_Sub14_Sub14)var4).aBool10562) {
         return null;
      } else {
         byte[] var5 = ((Class225_Sub14_Sub14)var4).method16276(509785357);
         int var6;
         byte[] var7;
         byte[] var8;
         int var9;
         if(var4 instanceof Class225_Sub14_Sub14_Sub1) {
            try {
               if(var5 != null && var5.length > 2) {
                  aCRC32_8939.reset();
                  aCRC32_8939.update(var5, 0, var5.length - 2);
                  var6 = (int)aCRC32_8939.getValue();
                  if(var6 != this.aClass333_8940.anIntArray4191[var1]) {
                     throw new RuntimeException();
                  } else {
                     if(this.aClass333_8940.aByteArrayArray4194 != null && null != this.aClass333_8940.aByteArrayArray4194[var1]) {
                        var7 = this.aClass333_8940.aByteArrayArray4194[var1];
                        var8 = Class222_Sub1.method14017(var5, 0, var5.length - 2, 2027254522);

                        for(var9 = 0; var9 < 64; ++var9) {
                           if(var7[var9] != var8[var9]) {
                              throw new RuntimeException();
                           }
                        }
                     }

                     int var12 = (var5[var5.length - 1] & 255) + ((var5[var5.length - 2] & 255) << 8);
                     if(var12 != (this.aClass333_8940.anIntArray4182[var1] & '\uffff')) {
                        throw new RuntimeException();
                     } else {
                        if(1 != this.aByteArray8944[var1]) {
                           if(this.aByteArray8944[var1] == 0) {
                              ;
                           }

                           this.anInt8945 += -1587014185;
                           this.aByteArray8944[var1] = 1;
                        }

                        if(!((Class225_Sub14_Sub14)var4).aBool10561) {
                           ((Class225_Sub14_Sub14)var4).method3857(-2041004275);
                        }

                        return (Class225_Sub14_Sub14)var4;
                     }
                  }
               } else {
                  throw new RuntimeException();
               }
            } catch (Exception var10) {
               this.aByteArray8944[var1] = -1;
               ((Class225_Sub14_Sub14)var4).method3857(149003603);
               if(((Class225_Sub14_Sub14)var4).aBool10561 && !this.aClass247_8946.method4395(-1540076021)) {
                  Class225_Sub14_Sub14_Sub2 var11 = this.aClass247_8946.method4393(this.anInt8958 * -1368515079, var1, (byte)2, true, (byte)7);
                  this.aClass423_8956.method7206(var11, (long)var1);
               }

               return null;
            }
         } else if(null != var5 && var5.length > 2) {
            aCRC32_8939.reset();
            aCRC32_8939.update(var5, 0, var5.length - 2);
            var6 = (int)aCRC32_8939.getValue();
            if(this.aClass333_8940.anIntArray4191[var1] != var6) {
               throw new RuntimeException();
            } else {
               if(null != this.aClass333_8940.aByteArrayArray4194 && null != this.aClass333_8940.aByteArrayArray4194[var1]) {
                  var7 = this.aClass333_8940.aByteArrayArray4194[var1];
                  var8 = Class222_Sub1.method14017(var5, 0, var5.length - 2, 1883190430);

                  for(var9 = 0; var9 < 64; ++var9) {
                     if(var7[var9] != var8[var9]) {
                        throw new RuntimeException();
                     }
                  }
               }

               this.aClass247_8946.anInt2956 = 0;
               this.aClass247_8946.anInt2945 = 0;
               var5[var5.length - 2] = (byte)(this.aClass333_8940.anIntArray4182[var1] >>> 8);
               var5[var5.length - 1] = (byte)this.aClass333_8940.anIntArray4182[var1];
               if(null != this.aClass218_8937) {
                  this.aClass257_8931.method4622(var1, var5, this.aClass218_8937, (byte)10);
                  if(1 != this.aByteArray8944[var1]) {
                     this.anInt8945 += -1587014185;
                     this.aByteArray8944[var1] = 1;
                  }
               }

               if(!((Class225_Sub14_Sub14)var4).aBool10561) {
                  ((Class225_Sub14_Sub14)var4).method3857(-1893781904);
               }

               return (Class225_Sub14_Sub14)var4;
            }
         } else {
            throw new RuntimeException();
         }
      }
   }

   void method14323(int var1) {
      if(this.aClass456_8950 != null) {
         if(this.method4464(899133696) != null) {
            for(Class225 var2 = this.aClass456_8951.method7682((byte)104); var2 != null; var2 = this.aClass456_8951.method7666(-1329962701)) {
               int var3 = (int)(-7222396723785363401L * var2.aLong2606);
               if(var3 >= 0 && var3 < this.aClass333_8940.anInt4190 * 1038147303 && this.aClass333_8940.anIntArray4198[var3] != 0) {
                  if(this.aByteArray8944[var3] == 0) {
                     this.method14322(var3, 1, 2120645440);
                  }

                  if(-1 == this.aByteArray8944[var3]) {
                     this.method14322(var3, 2, -1256872390);
                  }

                  if(1 == this.aByteArray8944[var3]) {
                     var2.method3857(-806133678);
                  }
               } else {
                  var2.method3857(-213871391);
               }
            }

         }
      }
   }

   void method14324(byte var1) {
      if(this.aClass456_8950 != null) {
         if(this.method4464(974099627) == null) {
            return;
         }

         boolean var2;
         Class225 var3;
         int var4;
         if(this.aBool8948) {
            var2 = true;

            for(var3 = this.aClass456_8950.method7682((byte)125); var3 != null; var3 = this.aClass456_8950.method7666(-1291798967)) {
               var4 = (int)(var3.aLong2606 * -7222396723785363401L);
               if(this.aByteArray8944[var4] == 0) {
                  this.method14322(var4, 1, 1960473729);
               }

               if(0 != this.aByteArray8944[var4]) {
                  var3.method3857(794554462);
               } else {
                  var2 = false;
               }
            }

            while(this.anInt8949 * 1743386367 < this.aClass333_8940.anIntArray4198.length) {
               if(this.aClass333_8940.anIntArray4198[this.anInt8949 * 1743386367] == 0) {
                  this.anInt8949 += -456849153;
               } else {
                  if(-419537635 * this.aClass257_8931.anInt3037 >= 250) {
                     var2 = false;
                     break;
                  }

                  if(this.aByteArray8944[1743386367 * this.anInt8949] == 0) {
                     this.method14322(1743386367 * this.anInt8949, 1, 4201475);
                  }

                  if(this.aByteArray8944[this.anInt8949 * 1743386367] == 0) {
                     var3 = new Class225();
                     var3.aLong2606 = (long)this.anInt8949 * -8306926641275495559L;
                     this.aClass456_8950.method7712(var3, (byte)54);
                     var2 = false;
                  }

                  this.anInt8949 += -456849153;
               }
            }

            if(var2) {
               this.aBool8948 = false;
               this.anInt8949 = 0;
            }
         } else if(this.aBool8947) {
            var2 = true;

            for(var3 = this.aClass456_8950.method7682((byte)98); null != var3; var3 = this.aClass456_8950.method7666(-225319952)) {
               var4 = (int)(-7222396723785363401L * var3.aLong2606);
               if(this.aByteArray8944[var4] != 1) {
                  this.method14322(var4, 2, 534428688);
               }

               if(1 == this.aByteArray8944[var4]) {
                  var3.method3857(1763525835);
               } else {
                  var2 = false;
               }
            }

            while(this.anInt8949 * 1743386367 < this.aClass333_8940.anIntArray4198.length) {
               if(0 == this.aClass333_8940.anIntArray4198[this.anInt8949 * 1743386367]) {
                  this.anInt8949 += -456849153;
               } else {
                  if(this.aClass247_8946.method4394(-1920462640)) {
                     var2 = false;
                     break;
                  }

                  if(this.aByteArray8944[1743386367 * this.anInt8949] != 1) {
                     this.method14322(1743386367 * this.anInt8949, 2, 459934776);
                  }

                  if(1 != this.aByteArray8944[1743386367 * this.anInt8949]) {
                     var3 = new Class225();
                     var3.aLong2606 = (long)this.anInt8949 * -8306926641275495559L;
                     this.aClass456_8950.method7712(var3, (byte)51);
                     var2 = false;
                  }

                  this.anInt8949 += -456849153;
               }
            }

            if(var2) {
               this.aBool8947 = false;
               this.anInt8949 = 0;
            }
         } else {
            this.aClass456_8950 = null;
         }
      }

      if(this.aBool8952 && Class339.method6240(124911134) >= -6830480613641995251L * this.aLong8953) {
         for(Class225_Sub14_Sub14 var5 = (Class225_Sub14_Sub14)this.aClass423_8956.method7208(-405853513); var5 != null; var5 = (Class225_Sub14_Sub14)this.aClass423_8956.method7226(-383662743)) {
            if(!var5.aBool10562) {
               if(var5.aBool10560) {
                  if(!var5.aBool10561) {
                     throw new RuntimeException();
                  }

                  var5.method3857(-1680750573);
               } else {
                  var5.aBool10560 = true;
               }
            }
         }

         this.aLong8953 = (Class339.method6240(300925565) + 1000L) * -7505903194992577851L;
      }

   }

   Class333 method4466() {
      if(this.aClass333_8940 != null) {
         return this.aClass333_8940;
      } else {
         if(null == this.aClass225_Sub14_Sub14_8936) {
            if(this.aClass247_8946.method4395(-1833772154)) {
               return null;
            }

            this.aClass225_Sub14_Sub14_8936 = this.aClass247_8946.method4393(255, -1368515079 * this.anInt8958, (byte)0, true, (byte)7);
         }

         if(this.aClass225_Sub14_Sub14_8936.aBool10562) {
            return null;
         } else {
            byte[] var1 = this.aClass225_Sub14_Sub14_8936.method16276(509785357);
            if(this.aClass225_Sub14_Sub14_8936 instanceof Class225_Sub14_Sub14_Sub1) {
               if(null == var1) {
                  throw new RuntimeException();
               }

               this.aClass333_8940 = new Class333(var1, 735460291 * this.anInt8941, this.aByteArray8935);
               if(593450649 * this.anInt8943 != this.aClass333_8940.anInt4192 * 1854176887) {
                  throw new RuntimeException();
               }
            } else {
               if(var1 == null) {
                  throw new RuntimeException();
               }

               this.aClass333_8940 = new Class333(var1, 735460291 * this.anInt8941, this.aByteArray8935);
               if(this.aClass218_8934 != null) {
                  this.aClass257_8931.method4622(this.anInt8958 * -1368515079, var1, this.aClass218_8934, (byte)-49);
               }
            }

            this.aClass225_Sub14_Sub14_8936 = null;
            if(null != this.aClass218_8937) {
               this.aByteArray8944 = new byte[1038147303 * this.aClass333_8940.anInt4190];
               this.anInt8945 = 0;
            }

            return this.aClass333_8940;
         }
      }
   }

   public int method14325(int var1) {
      return this.aClass333_8940 == null?0:this.aClass333_8940.anInt4186 * 383364901;
   }

   public int method14326(int var1) {
      if(null == this.aClass333_8940) {
         return 0;
      } else if(!this.aBool8948) {
         return 383364901 * this.aClass333_8940.anInt4186;
      } else {
         Class225 var2 = this.aClass456_8950.method7682((byte)37);
         return var2 == null?0:(int)(-7222396723785363401L * var2.aLong2606);
      }
   }

   public int method14327() {
      return this.aClass333_8940 == null?0:this.aClass333_8940.anInt4186 * 383364901;
   }

   void method14328(int var1, byte[] var2, int var3, byte var4) {
      if(var1 == this.anInt8941 * 735460291 && this.anInt8943 * 593450649 == var3) {
         boolean var5 = true;

         for(int var6 = 0; var6 < this.aByteArray8935.length; ++var6) {
            if(var2[var6] != this.aByteArray8935[var6]) {
               var5 = false;
               break;
            }
         }

         if(var5) {
            return;
         }
      }

      this.anInt8941 = -206697237 * var1;
      this.aByteArray8935 = var2;
      this.anInt8943 = var3 * -99312215;
      this.aClass333_8940 = null;
      this.aClass225_Sub14_Sub14_8936 = null;
      if(!this.aClass247_8946.method4395(42478017)) {
         this.aClass225_Sub14_Sub14_8936 = this.aClass247_8946.method4393(255, this.anInt8958 * -1368515079, (byte)0, true, (byte)7);
      }

   }

   int method4468(int var1, int var2) {
      Class225_Sub14_Sub14 var3 = (Class225_Sub14_Sub14)this.aClass423_8956.method7211((long)var1);
      if(null != var3) {
         if(var2 == -1981881473) {
            ;
         }

         return var3.method16277(856270460);
      } else {
         return 0;
      }
   }

   public int method14329() {
      return 1342090727 * this.anInt8945;
   }

   public int method14330() {
      return this.aClass333_8940 == null?0:this.aClass333_8940.anInt4186 * 383364901;
   }

   byte[] method4469(int var1) {
      Class225_Sub14_Sub14 var2 = this.method14322(var1, 0, 1230489234);
      if(null == var2) {
         return null;
      } else {
         byte[] var3 = var2.method16276(509785357);
         var2.method3857(-1141923445);
         return var3;
      }
   }

   void method14331() {
      if(this.aClass456_8950 != null) {
         if(this.method4464(961932936) != null) {
            for(Class225 var1 = this.aClass456_8951.method7682((byte)57); var1 != null; var1 = this.aClass456_8951.method7666(-1241523091)) {
               int var2 = (int)(-7222396723785363401L * var1.aLong2606);
               if(var2 >= 0 && var2 < this.aClass333_8940.anInt4190 * 1038147303 && this.aClass333_8940.anIntArray4198[var2] != 0) {
                  if(this.aByteArray8944[var2] == 0) {
                     this.method14322(var2, 1, 1235243620);
                  }

                  if(-1 == this.aByteArray8944[var2]) {
                     this.method14322(var2, 2, -606352305);
                  }

                  if(1 == this.aByteArray8944[var2]) {
                     var1.method3857(612877206);
                  }
               } else {
                  var1.method3857(1921982072);
               }
            }

         }
      }
   }

   Class333 method4464(int var1) {
      if(this.aClass333_8940 != null) {
         return this.aClass333_8940;
      } else {
         if(null == this.aClass225_Sub14_Sub14_8936) {
            if(this.aClass247_8946.method4395(877931049)) {
               return null;
            }

            this.aClass225_Sub14_Sub14_8936 = this.aClass247_8946.method4393(255, -1368515079 * this.anInt8958, (byte)0, true, (byte)7);
         }

         if(this.aClass225_Sub14_Sub14_8936.aBool10562) {
            return null;
         } else {
            byte[] var2 = this.aClass225_Sub14_Sub14_8936.method16276(509785357);
            if(this.aClass225_Sub14_Sub14_8936 instanceof Class225_Sub14_Sub14_Sub1) {
               if(null == var2) {
                  throw new RuntimeException();
               }

               this.aClass333_8940 = new Class333(var2, 735460291 * this.anInt8941, this.aByteArray8935);
               if(593450649 * this.anInt8943 != this.aClass333_8940.anInt4192 * 1854176887) {
                  throw new RuntimeException();
               }
            } else {
               if(var2 == null) {
                  throw new RuntimeException();
               }

               this.aClass333_8940 = new Class333(var2, 735460291 * this.anInt8941, this.aByteArray8935);
               if(this.aClass218_8934 != null) {
                  this.aClass257_8931.method4622(this.anInt8958 * -1368515079, var2, this.aClass218_8934, (byte)31);
               }
            }

            this.aClass225_Sub14_Sub14_8936 = null;
            if(null != this.aClass218_8937) {
               this.aByteArray8944 = new byte[1038147303 * this.aClass333_8940.anInt4190];
               this.anInt8945 = 0;
            }

            return this.aClass333_8940;
         }
      }
   }

   void method14332(int var1, byte[] var2, int var3) {
      if(var1 == this.anInt8941 * 735460291 && this.anInt8943 * 593450649 == var3) {
         boolean var4 = true;

         for(int var5 = 0; var5 < this.aByteArray8935.length; ++var5) {
            if(var2[var5] != this.aByteArray8935[var5]) {
               var4 = false;
               break;
            }
         }

         if(var4) {
            return;
         }
      }

      this.anInt8941 = -206697237 * var1;
      this.aByteArray8935 = var2;
      this.anInt8943 = var3 * -99312215;
      this.aClass333_8940 = null;
      this.aClass225_Sub14_Sub14_8936 = null;
      if(!this.aClass247_8946.method4395(-1850662165)) {
         this.aClass225_Sub14_Sub14_8936 = this.aClass247_8946.method4393(255, this.anInt8958 * -1368515079, (byte)0, true, (byte)7);
      }

   }

   void method14333(int var1, byte[] var2, int var3) {
      if(var1 == this.anInt8941 * 735460291 && this.anInt8943 * 593450649 == var3) {
         boolean var4 = true;

         for(int var5 = 0; var5 < this.aByteArray8935.length; ++var5) {
            if(var2[var5] != this.aByteArray8935[var5]) {
               var4 = false;
               break;
            }
         }

         if(var4) {
            return;
         }
      }

      this.anInt8941 = -206697237 * var1;
      this.aByteArray8935 = var2;
      this.anInt8943 = var3 * -99312215;
      this.aClass333_8940 = null;
      this.aClass225_Sub14_Sub14_8936 = null;
      if(!this.aClass247_8946.method4395(1684107215)) {
         this.aClass225_Sub14_Sub14_8936 = this.aClass247_8946.method4393(255, this.anInt8958 * -1368515079, (byte)0, true, (byte)7);
      }

   }

   public int method14334() {
      return this.method4464(1354600519) == null?(null == this.aClass225_Sub14_Sub14_8936?0:this.aClass225_Sub14_Sub14_8936.method16277(856270460)):100;
   }

   public int method14335() {
      return this.method4464(761557141) == null?(null == this.aClass225_Sub14_Sub14_8936?0:this.aClass225_Sub14_Sub14_8936.method16277(856270460)):100;
   }

   Class225_Sub14_Sub14 method14336(int var1, int var2) {
      Object var3 = (Class225_Sub14_Sub14)this.aClass423_8956.method7211((long)var1);
      if(var3 != null && 0 == var2 && !((Class225_Sub14_Sub14)var3).aBool10561 && ((Class225_Sub14_Sub14)var3).aBool10562) {
         ((Class225_Sub14_Sub14)var3).method3857(2012785969);
         var3 = null;
      }

      if(null == var3) {
         if(0 == var2) {
            if(this.aClass218_8937 != null && this.aByteArray8944[var1] != -1) {
               var3 = this.aClass257_8931.method4621(var1, this.aClass218_8937, -2047801052);
            } else {
               if(this.aClass247_8946.method4395(-1633308509)) {
                  return null;
               }

               var3 = this.aClass247_8946.method4393(this.anInt8958 * -1368515079, var1, (byte)2, true, (byte)7);
            }
         } else if(1 == var2) {
            if(null == this.aClass218_8937) {
               throw new RuntimeException();
            }

            var3 = this.aClass257_8931.method4623(var1, this.aClass218_8937, -648719443);
         } else {
            if(2 != var2) {
               throw new RuntimeException();
            }

            if(this.aClass218_8937 == null) {
               throw new RuntimeException();
            }

            if(-1 != this.aByteArray8944[var1]) {
               throw new RuntimeException();
            }

            if(this.aClass247_8946.method4394(760575446)) {
               return null;
            }

            var3 = this.aClass247_8946.method4393(-1368515079 * this.anInt8958, var1, (byte)2, false, (byte)7);
         }

         this.aClass423_8956.method7206((Class225)var3, (long)var1);
      }

      if(((Class225_Sub14_Sub14)var3).aBool10562) {
         return null;
      } else {
         byte[] var4 = ((Class225_Sub14_Sub14)var3).method16276(509785357);
         int var5;
         byte[] var6;
         byte[] var7;
         int var8;
         if(var3 instanceof Class225_Sub14_Sub14_Sub1) {
            try {
               if(var4 != null && var4.length > 2) {
                  aCRC32_8939.reset();
                  aCRC32_8939.update(var4, 0, var4.length - 2);
                  var5 = (int)aCRC32_8939.getValue();
                  if(var5 != this.aClass333_8940.anIntArray4191[var1]) {
                     throw new RuntimeException();
                  } else {
                     if(this.aClass333_8940.aByteArrayArray4194 != null && null != this.aClass333_8940.aByteArrayArray4194[var1]) {
                        var6 = this.aClass333_8940.aByteArrayArray4194[var1];
                        var7 = Class222_Sub1.method14017(var4, 0, var4.length - 2, 1838169775);

                        for(var8 = 0; var8 < 64; ++var8) {
                           if(var6[var8] != var7[var8]) {
                              throw new RuntimeException();
                           }
                        }
                     }

                     int var11 = (var4[var4.length - 1] & 255) + ((var4[var4.length - 2] & 255) << 8);
                     if(var11 != (this.aClass333_8940.anIntArray4182[var1] & '\uffff')) {
                        throw new RuntimeException();
                     } else {
                        if(1 != this.aByteArray8944[var1]) {
                           if(this.aByteArray8944[var1] == 0) {
                              ;
                           }

                           this.anInt8945 += -1587014185;
                           this.aByteArray8944[var1] = 1;
                        }

                        if(!((Class225_Sub14_Sub14)var3).aBool10561) {
                           ((Class225_Sub14_Sub14)var3).method3857(-1933606827);
                        }

                        return (Class225_Sub14_Sub14)var3;
                     }
                  }
               } else {
                  throw new RuntimeException();
               }
            } catch (Exception var9) {
               this.aByteArray8944[var1] = -1;
               ((Class225_Sub14_Sub14)var3).method3857(-32600734);
               if(((Class225_Sub14_Sub14)var3).aBool10561 && !this.aClass247_8946.method4395(966732511)) {
                  Class225_Sub14_Sub14_Sub2 var10 = this.aClass247_8946.method4393(this.anInt8958 * -1368515079, var1, (byte)2, true, (byte)7);
                  this.aClass423_8956.method7206(var10, (long)var1);
               }

               return null;
            }
         } else if(null != var4 && var4.length > 2) {
            aCRC32_8939.reset();
            aCRC32_8939.update(var4, 0, var4.length - 2);
            var5 = (int)aCRC32_8939.getValue();
            if(this.aClass333_8940.anIntArray4191[var1] != var5) {
               throw new RuntimeException();
            } else {
               if(null != this.aClass333_8940.aByteArrayArray4194 && null != this.aClass333_8940.aByteArrayArray4194[var1]) {
                  var6 = this.aClass333_8940.aByteArrayArray4194[var1];
                  var7 = Class222_Sub1.method14017(var4, 0, var4.length - 2, 1500346754);

                  for(var8 = 0; var8 < 64; ++var8) {
                     if(var6[var8] != var7[var8]) {
                        throw new RuntimeException();
                     }
                  }
               }

               this.aClass247_8946.anInt2956 = 0;
               this.aClass247_8946.anInt2945 = 0;
               var4[var4.length - 2] = (byte)(this.aClass333_8940.anIntArray4182[var1] >>> 8);
               var4[var4.length - 1] = (byte)this.aClass333_8940.anIntArray4182[var1];
               if(null != this.aClass218_8937) {
                  this.aClass257_8931.method4622(var1, var4, this.aClass218_8937, (byte)5);
                  if(1 != this.aByteArray8944[var1]) {
                     this.anInt8945 += -1587014185;
                     this.aByteArray8944[var1] = 1;
                  }
               }

               if(!((Class225_Sub14_Sub14)var3).aBool10561) {
                  ((Class225_Sub14_Sub14)var3).method3857(-1314150963);
               }

               return (Class225_Sub14_Sub14)var3;
            }
         } else {
            throw new RuntimeException();
         }
      }
   }

   Class225_Sub14_Sub14 method14337(int var1, int var2) {
      Object var3 = (Class225_Sub14_Sub14)this.aClass423_8956.method7211((long)var1);
      if(var3 != null && 0 == var2 && !((Class225_Sub14_Sub14)var3).aBool10561 && ((Class225_Sub14_Sub14)var3).aBool10562) {
         ((Class225_Sub14_Sub14)var3).method3857(181074661);
         var3 = null;
      }

      if(null == var3) {
         if(0 == var2) {
            if(this.aClass218_8937 != null && this.aByteArray8944[var1] != -1) {
               var3 = this.aClass257_8931.method4621(var1, this.aClass218_8937, -2105285634);
            } else {
               if(this.aClass247_8946.method4395(1568557635)) {
                  return null;
               }

               var3 = this.aClass247_8946.method4393(this.anInt8958 * -1368515079, var1, (byte)2, true, (byte)7);
            }
         } else if(1 == var2) {
            if(null == this.aClass218_8937) {
               throw new RuntimeException();
            }

            var3 = this.aClass257_8931.method4623(var1, this.aClass218_8937, -648719443);
         } else {
            if(2 != var2) {
               throw new RuntimeException();
            }

            if(this.aClass218_8937 == null) {
               throw new RuntimeException();
            }

            if(-1 != this.aByteArray8944[var1]) {
               throw new RuntimeException();
            }

            if(this.aClass247_8946.method4394(-186340112)) {
               return null;
            }

            var3 = this.aClass247_8946.method4393(-1368515079 * this.anInt8958, var1, (byte)2, false, (byte)7);
         }

         this.aClass423_8956.method7206((Class225)var3, (long)var1);
      }

      if(((Class225_Sub14_Sub14)var3).aBool10562) {
         return null;
      } else {
         byte[] var4 = ((Class225_Sub14_Sub14)var3).method16276(509785357);
         int var5;
         byte[] var6;
         byte[] var7;
         int var8;
         if(var3 instanceof Class225_Sub14_Sub14_Sub1) {
            try {
               if(var4 != null && var4.length > 2) {
                  aCRC32_8939.reset();
                  aCRC32_8939.update(var4, 0, var4.length - 2);
                  var5 = (int)aCRC32_8939.getValue();
                  if(var5 != this.aClass333_8940.anIntArray4191[var1]) {
                     throw new RuntimeException();
                  } else {
                     if(this.aClass333_8940.aByteArrayArray4194 != null && null != this.aClass333_8940.aByteArrayArray4194[var1]) {
                        var6 = this.aClass333_8940.aByteArrayArray4194[var1];
                        var7 = Class222_Sub1.method14017(var4, 0, var4.length - 2, 1634193920);

                        for(var8 = 0; var8 < 64; ++var8) {
                           if(var6[var8] != var7[var8]) {
                              throw new RuntimeException();
                           }
                        }
                     }

                     int var11 = (var4[var4.length - 1] & 255) + ((var4[var4.length - 2] & 255) << 8);
                     if(var11 != (this.aClass333_8940.anIntArray4182[var1] & '\uffff')) {
                        throw new RuntimeException();
                     } else {
                        if(1 != this.aByteArray8944[var1]) {
                           if(this.aByteArray8944[var1] == 0) {
                              ;
                           }

                           this.anInt8945 += -1587014185;
                           this.aByteArray8944[var1] = 1;
                        }

                        if(!((Class225_Sub14_Sub14)var3).aBool10561) {
                           ((Class225_Sub14_Sub14)var3).method3857(-1473853366);
                        }

                        return (Class225_Sub14_Sub14)var3;
                     }
                  }
               } else {
                  throw new RuntimeException();
               }
            } catch (Exception var9) {
               this.aByteArray8944[var1] = -1;
               ((Class225_Sub14_Sub14)var3).method3857(398279332);
               if(((Class225_Sub14_Sub14)var3).aBool10561 && !this.aClass247_8946.method4395(208303380)) {
                  Class225_Sub14_Sub14_Sub2 var10 = this.aClass247_8946.method4393(this.anInt8958 * -1368515079, var1, (byte)2, true, (byte)7);
                  this.aClass423_8956.method7206(var10, (long)var1);
               }

               return null;
            }
         } else if(null != var4 && var4.length > 2) {
            aCRC32_8939.reset();
            aCRC32_8939.update(var4, 0, var4.length - 2);
            var5 = (int)aCRC32_8939.getValue();
            if(this.aClass333_8940.anIntArray4191[var1] != var5) {
               throw new RuntimeException();
            } else {
               if(null != this.aClass333_8940.aByteArrayArray4194 && null != this.aClass333_8940.aByteArrayArray4194[var1]) {
                  var6 = this.aClass333_8940.aByteArrayArray4194[var1];
                  var7 = Class222_Sub1.method14017(var4, 0, var4.length - 2, 1785544245);

                  for(var8 = 0; var8 < 64; ++var8) {
                     if(var6[var8] != var7[var8]) {
                        throw new RuntimeException();
                     }
                  }
               }

               this.aClass247_8946.anInt2956 = 0;
               this.aClass247_8946.anInt2945 = 0;
               var4[var4.length - 2] = (byte)(this.aClass333_8940.anIntArray4182[var1] >>> 8);
               var4[var4.length - 1] = (byte)this.aClass333_8940.anIntArray4182[var1];
               if(null != this.aClass218_8937) {
                  this.aClass257_8931.method4622(var1, var4, this.aClass218_8937, (byte)-49);
                  if(1 != this.aByteArray8944[var1]) {
                     this.anInt8945 += -1587014185;
                     this.aByteArray8944[var1] = 1;
                  }
               }

               if(!((Class225_Sub14_Sub14)var3).aBool10561) {
                  ((Class225_Sub14_Sub14)var3).method3857(-507859817);
               }

               return (Class225_Sub14_Sub14)var3;
            }
         } else {
            throw new RuntimeException();
         }
      }
   }

   Class225_Sub14_Sub14 method14338(int var1, int var2) {
      Object var3 = (Class225_Sub14_Sub14)this.aClass423_8956.method7211((long)var1);
      if(var3 != null && 0 == var2 && !((Class225_Sub14_Sub14)var3).aBool10561 && ((Class225_Sub14_Sub14)var3).aBool10562) {
         ((Class225_Sub14_Sub14)var3).method3857(2002673866);
         var3 = null;
      }

      if(null == var3) {
         if(0 == var2) {
            if(this.aClass218_8937 != null && this.aByteArray8944[var1] != -1) {
               var3 = this.aClass257_8931.method4621(var1, this.aClass218_8937, -2061328959);
            } else {
               if(this.aClass247_8946.method4395(-688084862)) {
                  return null;
               }

               var3 = this.aClass247_8946.method4393(this.anInt8958 * -1368515079, var1, (byte)2, true, (byte)7);
            }
         } else if(1 == var2) {
            if(null == this.aClass218_8937) {
               throw new RuntimeException();
            }

            var3 = this.aClass257_8931.method4623(var1, this.aClass218_8937, -648719443);
         } else {
            if(2 != var2) {
               throw new RuntimeException();
            }

            if(this.aClass218_8937 == null) {
               throw new RuntimeException();
            }

            if(-1 != this.aByteArray8944[var1]) {
               throw new RuntimeException();
            }

            if(this.aClass247_8946.method4394(-2063708013)) {
               return null;
            }

            var3 = this.aClass247_8946.method4393(-1368515079 * this.anInt8958, var1, (byte)2, false, (byte)7);
         }

         this.aClass423_8956.method7206((Class225)var3, (long)var1);
      }

      if(((Class225_Sub14_Sub14)var3).aBool10562) {
         return null;
      } else {
         byte[] var4 = ((Class225_Sub14_Sub14)var3).method16276(509785357);
         int var5;
         byte[] var6;
         byte[] var7;
         int var8;
         if(var3 instanceof Class225_Sub14_Sub14_Sub1) {
            try {
               if(var4 != null && var4.length > 2) {
                  aCRC32_8939.reset();
                  aCRC32_8939.update(var4, 0, var4.length - 2);
                  var5 = (int)aCRC32_8939.getValue();
                  if(var5 != this.aClass333_8940.anIntArray4191[var1]) {
                     throw new RuntimeException();
                  } else {
                     if(this.aClass333_8940.aByteArrayArray4194 != null && null != this.aClass333_8940.aByteArrayArray4194[var1]) {
                        var6 = this.aClass333_8940.aByteArrayArray4194[var1];
                        var7 = Class222_Sub1.method14017(var4, 0, var4.length - 2, 2005275295);

                        for(var8 = 0; var8 < 64; ++var8) {
                           if(var6[var8] != var7[var8]) {
                              throw new RuntimeException();
                           }
                        }
                     }

                     int var11 = (var4[var4.length - 1] & 255) + ((var4[var4.length - 2] & 255) << 8);
                     if(var11 != (this.aClass333_8940.anIntArray4182[var1] & '\uffff')) {
                        throw new RuntimeException();
                     } else {
                        if(1 != this.aByteArray8944[var1]) {
                           if(this.aByteArray8944[var1] == 0) {
                              ;
                           }

                           this.anInt8945 += -1587014185;
                           this.aByteArray8944[var1] = 1;
                        }

                        if(!((Class225_Sub14_Sub14)var3).aBool10561) {
                           ((Class225_Sub14_Sub14)var3).method3857(-1145998308);
                        }

                        return (Class225_Sub14_Sub14)var3;
                     }
                  }
               } else {
                  throw new RuntimeException();
               }
            } catch (Exception var9) {
               this.aByteArray8944[var1] = -1;
               ((Class225_Sub14_Sub14)var3).method3857(808640425);
               if(((Class225_Sub14_Sub14)var3).aBool10561 && !this.aClass247_8946.method4395(-1845237088)) {
                  Class225_Sub14_Sub14_Sub2 var10 = this.aClass247_8946.method4393(this.anInt8958 * -1368515079, var1, (byte)2, true, (byte)7);
                  this.aClass423_8956.method7206(var10, (long)var1);
               }

               return null;
            }
         } else if(null != var4 && var4.length > 2) {
            aCRC32_8939.reset();
            aCRC32_8939.update(var4, 0, var4.length - 2);
            var5 = (int)aCRC32_8939.getValue();
            if(this.aClass333_8940.anIntArray4191[var1] != var5) {
               throw new RuntimeException();
            } else {
               if(null != this.aClass333_8940.aByteArrayArray4194 && null != this.aClass333_8940.aByteArrayArray4194[var1]) {
                  var6 = this.aClass333_8940.aByteArrayArray4194[var1];
                  var7 = Class222_Sub1.method14017(var4, 0, var4.length - 2, 1507992435);

                  for(var8 = 0; var8 < 64; ++var8) {
                     if(var6[var8] != var7[var8]) {
                        throw new RuntimeException();
                     }
                  }
               }

               this.aClass247_8946.anInt2956 = 0;
               this.aClass247_8946.anInt2945 = 0;
               var4[var4.length - 2] = (byte)(this.aClass333_8940.anIntArray4182[var1] >>> 8);
               var4[var4.length - 1] = (byte)this.aClass333_8940.anIntArray4182[var1];
               if(null != this.aClass218_8937) {
                  this.aClass257_8931.method4622(var1, var4, this.aClass218_8937, (byte)59);
                  if(1 != this.aByteArray8944[var1]) {
                     this.anInt8945 += -1587014185;
                     this.aByteArray8944[var1] = 1;
                  }
               }

               if(!((Class225_Sub14_Sub14)var3).aBool10561) {
                  ((Class225_Sub14_Sub14)var3).method3857(-716701325);
               }

               return (Class225_Sub14_Sub14)var3;
            }
         } else {
            throw new RuntimeException();
         }
      }
   }

   Class250_Sub1(int var1, Class218 var2, Class218 var3, Class247 var4, Class257 var5, int var6, byte[] var7, int var8, boolean var9) {
      this.anInt8958 = var1 * 584193097;
      this.aClass218_8937 = var2;
      if(null == this.aClass218_8937) {
         this.aBool8948 = false;
      } else {
         this.aBool8948 = true;
         this.aClass456_8950 = new Class456();
      }

      this.aClass218_8934 = var3;
      this.aClass247_8946 = var4;
      this.aClass257_8931 = var5;
      this.anInt8941 = -206697237 * var6;
      this.aByteArray8935 = var7;
      this.anInt8943 = -99312215 * var8;
      this.aBool8952 = var9;
      if(null != this.aClass218_8934) {
         this.aClass225_Sub14_Sub14_8936 = this.aClass257_8931.method4621(this.anInt8958 * -1368515079, this.aClass218_8934, -2058413272);
      }

   }

   void method14339() {
      if(this.aClass456_8950 != null) {
         if(this.method4464(1622753732) != null) {
            for(Class225 var1 = this.aClass456_8951.method7682((byte)14); var1 != null; var1 = this.aClass456_8951.method7666(-697987401)) {
               int var2 = (int)(-7222396723785363401L * var1.aLong2606);
               if(var2 >= 0 && var2 < this.aClass333_8940.anInt4190 * 1038147303 && this.aClass333_8940.anIntArray4198[var2] != 0) {
                  if(this.aByteArray8944[var2] == 0) {
                     this.method14322(var2, 1, -88468976);
                  }

                  if(-1 == this.aByteArray8944[var2]) {
                     this.method14322(var2, 2, -351831230);
                  }

                  if(1 == this.aByteArray8944[var2]) {
                     var1.method3857(-2101958656);
                  }
               } else {
                  var1.method3857(2104106242);
               }
            }

         }
      }
   }

   public void method14340() {
      if(null != this.aClass218_8937) {
         this.aBool8947 = true;
         if(this.aClass456_8950 == null) {
            this.aClass456_8950 = new Class456();
         }

      }
   }

   byte[] method4470(int var1) {
      Class225_Sub14_Sub14 var2 = this.method14322(var1, 0, 1957156350);
      if(null == var2) {
         return null;
      } else {
         byte[] var3 = var2.method16276(509785357);
         var2.method3857(1284772309);
         return var3;
      }
   }

   public int method14341() {
      return this.aClass333_8940 == null?0:this.aClass333_8940.anInt4186 * 383364901;
   }

   public int method14342() {
      return this.aClass333_8940 == null?0:this.aClass333_8940.anInt4186 * 383364901;
   }

   public int method14343() {
      return this.aClass333_8940 == null?0:this.aClass333_8940.anInt4186 * 383364901;
   }

   public void method14344(int var1) {
      if(null != this.aClass218_8937) {
         this.aBool8947 = true;
         if(this.aClass456_8950 == null) {
            this.aClass456_8950 = new Class456();
         }

      }
   }

   public int method14345() {
      return 1342090727 * this.anInt8945;
   }

   Class225_Sub14_Sub14 method14346(int var1, int var2) {
      Object var3 = (Class225_Sub14_Sub14)this.aClass423_8956.method7211((long)var1);
      if(var3 != null && 0 == var2 && !((Class225_Sub14_Sub14)var3).aBool10561 && ((Class225_Sub14_Sub14)var3).aBool10562) {
         ((Class225_Sub14_Sub14)var3).method3857(-687460357);
         var3 = null;
      }

      if(null == var3) {
         if(0 == var2) {
            if(this.aClass218_8937 != null && this.aByteArray8944[var1] != -1) {
               var3 = this.aClass257_8931.method4621(var1, this.aClass218_8937, -2091599103);
            } else {
               if(this.aClass247_8946.method4395(823675647)) {
                  return null;
               }

               var3 = this.aClass247_8946.method4393(this.anInt8958 * -1368515079, var1, (byte)2, true, (byte)7);
            }
         } else if(1 == var2) {
            if(null == this.aClass218_8937) {
               throw new RuntimeException();
            }

            var3 = this.aClass257_8931.method4623(var1, this.aClass218_8937, -648719443);
         } else {
            if(2 != var2) {
               throw new RuntimeException();
            }

            if(this.aClass218_8937 == null) {
               throw new RuntimeException();
            }

            if(-1 != this.aByteArray8944[var1]) {
               throw new RuntimeException();
            }

            if(this.aClass247_8946.method4394(901971915)) {
               return null;
            }

            var3 = this.aClass247_8946.method4393(-1368515079 * this.anInt8958, var1, (byte)2, false, (byte)7);
         }

         this.aClass423_8956.method7206((Class225)var3, (long)var1);
      }

      if(((Class225_Sub14_Sub14)var3).aBool10562) {
         return null;
      } else {
         byte[] var4 = ((Class225_Sub14_Sub14)var3).method16276(509785357);
         int var5;
         byte[] var6;
         byte[] var7;
         int var8;
         if(var3 instanceof Class225_Sub14_Sub14_Sub1) {
            try {
               if(var4 != null && var4.length > 2) {
                  aCRC32_8939.reset();
                  aCRC32_8939.update(var4, 0, var4.length - 2);
                  var5 = (int)aCRC32_8939.getValue();
                  if(var5 != this.aClass333_8940.anIntArray4191[var1]) {
                     throw new RuntimeException();
                  } else {
                     if(this.aClass333_8940.aByteArrayArray4194 != null && null != this.aClass333_8940.aByteArrayArray4194[var1]) {
                        var6 = this.aClass333_8940.aByteArrayArray4194[var1];
                        var7 = Class222_Sub1.method14017(var4, 0, var4.length - 2, 1701622544);

                        for(var8 = 0; var8 < 64; ++var8) {
                           if(var6[var8] != var7[var8]) {
                              throw new RuntimeException();
                           }
                        }
                     }

                     int var11 = (var4[var4.length - 1] & 255) + ((var4[var4.length - 2] & 255) << 8);
                     if(var11 != (this.aClass333_8940.anIntArray4182[var1] & '\uffff')) {
                        throw new RuntimeException();
                     } else {
                        if(1 != this.aByteArray8944[var1]) {
                           if(this.aByteArray8944[var1] == 0) {
                              ;
                           }

                           this.anInt8945 += -1587014185;
                           this.aByteArray8944[var1] = 1;
                        }

                        if(!((Class225_Sub14_Sub14)var3).aBool10561) {
                           ((Class225_Sub14_Sub14)var3).method3857(55030418);
                        }

                        return (Class225_Sub14_Sub14)var3;
                     }
                  }
               } else {
                  throw new RuntimeException();
               }
            } catch (Exception var9) {
               this.aByteArray8944[var1] = -1;
               ((Class225_Sub14_Sub14)var3).method3857(-1117967765);
               if(((Class225_Sub14_Sub14)var3).aBool10561 && !this.aClass247_8946.method4395(-1699474578)) {
                  Class225_Sub14_Sub14_Sub2 var10 = this.aClass247_8946.method4393(this.anInt8958 * -1368515079, var1, (byte)2, true, (byte)7);
                  this.aClass423_8956.method7206(var10, (long)var1);
               }

               return null;
            }
         } else if(null != var4 && var4.length > 2) {
            aCRC32_8939.reset();
            aCRC32_8939.update(var4, 0, var4.length - 2);
            var5 = (int)aCRC32_8939.getValue();
            if(this.aClass333_8940.anIntArray4191[var1] != var5) {
               throw new RuntimeException();
            } else {
               if(null != this.aClass333_8940.aByteArrayArray4194 && null != this.aClass333_8940.aByteArrayArray4194[var1]) {
                  var6 = this.aClass333_8940.aByteArrayArray4194[var1];
                  var7 = Class222_Sub1.method14017(var4, 0, var4.length - 2, 1913370878);

                  for(var8 = 0; var8 < 64; ++var8) {
                     if(var6[var8] != var7[var8]) {
                        throw new RuntimeException();
                     }
                  }
               }

               this.aClass247_8946.anInt2956 = 0;
               this.aClass247_8946.anInt2945 = 0;
               var4[var4.length - 2] = (byte)(this.aClass333_8940.anIntArray4182[var1] >>> 8);
               var4[var4.length - 1] = (byte)this.aClass333_8940.anIntArray4182[var1];
               if(null != this.aClass218_8937) {
                  this.aClass257_8931.method4622(var1, var4, this.aClass218_8937, (byte)-25);
                  if(1 != this.aByteArray8944[var1]) {
                     this.anInt8945 += -1587014185;
                     this.aByteArray8944[var1] = 1;
                  }
               }

               if(!((Class225_Sub14_Sub14)var3).aBool10561) {
                  ((Class225_Sub14_Sub14)var3).method3857(1413324473);
               }

               return (Class225_Sub14_Sub14)var3;
            }
         } else {
            throw new RuntimeException();
         }
      }
   }

   public int method14347() {
      if(null == this.aClass333_8940) {
         return 0;
      } else if(!this.aBool8948) {
         return 383364901 * this.aClass333_8940.anInt4186;
      } else {
         Class225 var1 = this.aClass456_8950.method7682((byte)33);
         return var1 == null?0:(int)(-7222396723785363401L * var1.aLong2606);
      }
   }

   public int method14348() {
      if(null == this.aClass333_8940) {
         return 0;
      } else if(!this.aBool8948) {
         return 383364901 * this.aClass333_8940.anInt4186;
      } else {
         Class225 var1 = this.aClass456_8950.method7682((byte)105);
         return var1 == null?0:(int)(-7222396723785363401L * var1.aLong2606);
      }
   }

   void method4463(int var1, byte var2) {
      if(this.aClass218_8937 != null) {
         Class225 var3;
         for(var3 = this.aClass456_8951.method7682((byte)95); var3 != null; var3 = this.aClass456_8951.method7666(-1438555483)) {
            if((long)var1 == var3.aLong2606 * -7222396723785363401L) {
               return;
            }
         }

         var3 = new Class225();
         var3.aLong2606 = (long)var1 * -641052250121656953L;
         this.aClass456_8951.method7712(var3, (byte)68);
      }
   }

   void method14349() {
      if(this.aClass456_8950 != null) {
         if(this.method4464(2029201029) != null) {
            for(Class225 var1 = this.aClass456_8951.method7682((byte)109); var1 != null; var1 = this.aClass456_8951.method7666(-550366124)) {
               int var2 = (int)(-7222396723785363401L * var1.aLong2606);
               if(var2 >= 0 && var2 < this.aClass333_8940.anInt4190 * 1038147303 && this.aClass333_8940.anIntArray4198[var2] != 0) {
                  if(this.aByteArray8944[var2] == 0) {
                     this.method14322(var2, 1, -1282819325);
                  }

                  if(-1 == this.aByteArray8944[var2]) {
                     this.method14322(var2, 2, -350264243);
                  }

                  if(1 == this.aByteArray8944[var2]) {
                     var1.method3857(-164868256);
                  }
               } else {
                  var1.method3857(-260047379);
               }
            }

         }
      }
   }

   void method4471(int var1) {
      if(this.aClass218_8937 != null) {
         Class225 var2;
         for(var2 = this.aClass456_8951.method7682((byte)40); var2 != null; var2 = this.aClass456_8951.method7666(-1981820440)) {
            if((long)var1 == var2.aLong2606 * -7222396723785363401L) {
               return;
            }
         }

         var2 = new Class225();
         var2.aLong2606 = (long)var1 * -641052250121656953L;
         this.aClass456_8951.method7712(var2, (byte)33);
      }
   }

   int method4467(int var1) {
      Class225_Sub14_Sub14 var2 = (Class225_Sub14_Sub14)this.aClass423_8956.method7211((long)var1);
      return null != var2?var2.method16277(856270460):0;
   }

   static final void method14350(int var0) {
      Class356_Sub2.aClass509_8914.method10795(5, (byte)54);
      Class481.aClass464_5860.method7820(5, -41192409);
      Class427.aClass38_5375.method1063(5, -2058894023);
      client.aClass279_7807.method5044(2023119619).method7510(5, (byte)114);
      Class40.aClass388_439.method6660(5, 98162282);
      Class277.aClass410_3220.method7015(5, 819609724);
      Class435.aClass473_5434.method7921(5, 1735366900);
      Class515_Sub1_Sub4_Sub4.aClass498_10793.method8326(5, 7894582);
      Class451.aClass182_Sub2_5648.method14430(5, (byte)10);
      Class471.aClass182_Sub1_Sub2_5790.method15955(5, 1341747513);
      Class225_Sub14_Sub17.aClass182_Sub1_Sub1_10576.method15939(5, (byte)16);
      Class104.aClass182_Sub1_Sub1_1030.method15939(5, (byte)54);
      Class536.aClass182_Sub1_Sub1_7290.method15939(5, (byte)73);
      Class356_Sub3.aClass566_8993.method12006(5, 1789323380);
      Class225_Sub21_Sub2.aClass555_10072.method11845(5, 1780842752);
      Class313.aClass424_3968.method7236(5, -1470405525);
      Class30.aClass389_367.method6673(5, -1302000288);
      Class232.aClass570_2673.method12169(5, -1572059917);
      Class447.aClass39_5578.method1079(5, (byte)-17);
      Class118_Sub20.aClass407_9103.method6945(5, 1475832340);
      Class556.aClass413_7469.method7088(5, 1823424275);
      Class574.aClass558_7602.method11893(5, (byte)82);
      Class304.aClass575_3877.method12212(5, (byte)26);
      Class534.method11286(5, -1306754273);
      Class388.method6671(50, -1914440825);
      Class472.aClass304_5793.method5394(50, -233030949);
      Class2.method459(5, (byte)-42);
      Class389.method6687(5, -1866977527);
      client.aClass564_7712.method11963(5, (byte)-102);
      Class2.aClass564_48.method11963(5, (byte)-26);
      Class506.aClass564_5983.method11963(5, (byte)-51);
   }

   static final void method14351(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      if(0 != 995204269 * client.anInt7769 && var2 < client.anInt7933 * -356989129) {
         Class9 var3 = client.aClass9Array7935[var2];
         var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var3.aString146;
         if(var3.aString144 != null) {
            var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var3.aString144;
         } else {
            var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = "";
         }
      } else {
         var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = "";
         var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = "";
      }

   }
}
